/**
 * 
 */

 #ifndef I2CDEVICE_H
 #define I2CDEVICE_H

 #include <Arduino.h>
 #include <Wire.h>

 class I2CDevice
 {
  public:
    I2CDevice(const uint8_t address, TwoWire *twi = &Wire);
  protected:
    virtual boolean begin() = 0;
    
    const uint8_t address;
    TwoWire *twi;
    boolean isPresent;
  private:
 };
 
 #endif //I2CDEVICE_H
